API reference

Admin

Platform administration (1fly staff).

List accounts#

GET/v1/admin/accounts

Platform admins only.

Auth
Session (Cookie onefly_session)
Operation id
get_admin_accounts

Parameters

Query parameters

NameTypeDescription
qstring
max length: 100
statusstring
one of: "active", "suspended"
limitinteger
range: 1–200default: 50
offsetinteger
range: 0–9007199254740991default: 0

Code samples

curl 'https://api.1fly.uz/v1/admin/accounts' \
  -b 'onefly_session=<session cookie>'

Responses

200Accounts.
Example response
{
  "rows": [],
  "total": 0
}
401Missing or invalid credentials.
FieldTypeDescription
errorrequiredobject
code (in error)requiredstring

Stable machine-readable code, e.g. VALIDATION_FAILED.

message (in error)requiredstring

Human-readable explanation.

requestId (in error)requiredstring

Quote this to support; also in the x-request-id header and the request log.

issues (in error)array<object>

Present for VALIDATION_FAILED: one entry per problem.

path (in error.issues)string
Example: passengers.0.lastName
code (in error.issues)string
message (in error.issues)string
Response (generated from schema)
{
  "error": {
    "code": "string",
    "message": "string",
    "requestId": "5b0c9a7e-2d1f-4e3a-9b8c-7d6e5f4a3b2c",
    "issues": [
      {
        "path": "passengers.0.lastName",
        "code": "string",
        "message": "string"
      }
    ]
  }
}
500Unexpected error on our side; quote the requestId.
FieldTypeDescription
errorrequiredobject
code (in error)requiredstring

Stable machine-readable code, e.g. VALIDATION_FAILED.

message (in error)requiredstring

Human-readable explanation.

requestId (in error)requiredstring

Quote this to support; also in the x-request-id header and the request log.

issues (in error)array<object>

Present for VALIDATION_FAILED: one entry per problem.

path (in error.issues)string
Example: passengers.0.lastName
code (in error.issues)string
message (in error.issues)string
Response (generated from schema)
{
  "error": {
    "code": "string",
    "message": "string",
    "requestId": "5b0c9a7e-2d1f-4e3a-9b8c-7d6e5f4a3b2c",
    "issues": [
      {
        "path": "passengers.0.lastName",
        "code": "string",
        "message": "string"
      }
    ]
  }
}

Get an account#

GET/v1/admin/accounts/{id}

Platform admins only. Members, keys and usage.

Auth
Session (Cookie onefly_session)
Operation id
get_admin_accounts_id

Parameters

Path parameters

NameTypeDescription
idrequiredstring

Account id.

pattern: ^acc_[a-f0-9]{32}$

Code samples

curl 'https://api.1fly.uz/v1/admin/accounts/acc_abcdef0123456789abcdef0123456789' \
  -b 'onefly_session=<session cookie>'

Responses

200Account.
Example response
{}
401Missing or invalid credentials.
FieldTypeDescription
errorrequiredobject
code (in error)requiredstring

Stable machine-readable code, e.g. VALIDATION_FAILED.

message (in error)requiredstring

Human-readable explanation.

requestId (in error)requiredstring

Quote this to support; also in the x-request-id header and the request log.

issues (in error)array<object>

Present for VALIDATION_FAILED: one entry per problem.

path (in error.issues)string
Example: passengers.0.lastName
code (in error.issues)string
message (in error.issues)string
Response (generated from schema)
{
  "error": {
    "code": "string",
    "message": "string",
    "requestId": "5b0c9a7e-2d1f-4e3a-9b8c-7d6e5f4a3b2c",
    "issues": [
      {
        "path": "passengers.0.lastName",
        "code": "string",
        "message": "string"
      }
    ]
  }
}
500Unexpected error on our side; quote the requestId.
FieldTypeDescription
errorrequiredobject
code (in error)requiredstring

Stable machine-readable code, e.g. VALIDATION_FAILED.

message (in error)requiredstring

Human-readable explanation.

requestId (in error)requiredstring

Quote this to support; also in the x-request-id header and the request log.

issues (in error)array<object>

Present for VALIDATION_FAILED: one entry per problem.

path (in error.issues)string
Example: passengers.0.lastName
code (in error.issues)string
message (in error.issues)string
Response (generated from schema)
{
  "error": {
    "code": "string",
    "message": "string",
    "requestId": "5b0c9a7e-2d1f-4e3a-9b8c-7d6e5f4a3b2c",
    "issues": [
      {
        "path": "passengers.0.lastName",
        "code": "string",
        "message": "string"
      }
    ]
  }
}

Suspend, reactivate or change plan#

PATCH/v1/admin/accounts/{id}

Platform admins only.

Auth
Session (Cookie onefly_session)
Operation id
patch_admin_accounts_id

Parameters

Path parameters

NameTypeDescription
idrequiredstring

Account id.

pattern: ^acc_[a-f0-9]{32}$

Request body application/json required

FieldTypeDescription
statusstring
one of: "active", "suspended"
planstring
one of: "free", "basic", "pro"
Example request body
{
  "status": "suspended"
}

Code samples

curl -X PATCH 'https://api.1fly.uz/v1/admin/accounts/acc_abcdef0123456789abcdef0123456789' \
  -b 'onefly_session=<session cookie>' \
  -H 'Content-Type: application/json' \
  -d '{
  "status": "suspended"
}'

Responses

200Updated.
Example response
{}
401Missing or invalid credentials.
FieldTypeDescription
errorrequiredobject
code (in error)requiredstring

Stable machine-readable code, e.g. VALIDATION_FAILED.

message (in error)requiredstring

Human-readable explanation.

requestId (in error)requiredstring

Quote this to support; also in the x-request-id header and the request log.

issues (in error)array<object>

Present for VALIDATION_FAILED: one entry per problem.

path (in error.issues)string
Example: passengers.0.lastName
code (in error.issues)string
message (in error.issues)string
Response (generated from schema)
{
  "error": {
    "code": "string",
    "message": "string",
    "requestId": "5b0c9a7e-2d1f-4e3a-9b8c-7d6e5f4a3b2c",
    "issues": [
      {
        "path": "passengers.0.lastName",
        "code": "string",
        "message": "string"
      }
    ]
  }
}
500Unexpected error on our side; quote the requestId.
FieldTypeDescription
errorrequiredobject
code (in error)requiredstring

Stable machine-readable code, e.g. VALIDATION_FAILED.

message (in error)requiredstring

Human-readable explanation.

requestId (in error)requiredstring

Quote this to support; also in the x-request-id header and the request log.

issues (in error)array<object>

Present for VALIDATION_FAILED: one entry per problem.

path (in error.issues)string
Example: passengers.0.lastName
code (in error.issues)string
message (in error.issues)string
Response (generated from schema)
{
  "error": {
    "code": "string",
    "message": "string",
    "requestId": "5b0c9a7e-2d1f-4e3a-9b8c-7d6e5f4a3b2c",
    "issues": [
      {
        "path": "passengers.0.lastName",
        "code": "string",
        "message": "string"
      }
    ]
  }
}

All request logs#

GET/v1/admin/logs

Platform admins only. Same filters as /v1/logs plus accountId.

Auth
Session (Cookie onefly_session)
Operation id
get_admin_logs

Parameters

Query parameters

NameTypeDescription
keyIdstring
pattern: ^key_[a-f0-9]{32}$
accountIdstring
pattern: ^acc_[a-f0-9]{32}$
statusstring
one of: "2xx", "4xx", "5xx"
channelstring
one of: "api", "mcp", "web", "admin"
methodstring
one of: "GET", "POST", "PATCH", "PUT", "DELETE"
pathstring (starts_with)
pattern: ^\/.*max length: 200
orderIdstring
pattern: ^ord_[a-f0-9]{32}$
fromstring (date-time)
pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
tostring (date-time)
pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
limitinteger
range: 1–100default: 50
cursorinteger
≤ 9007199254740991> 0

Code samples

curl 'https://api.1fly.uz/v1/admin/logs' \
  -b 'onefly_session=<session cookie>'

Responses

200Logs.
Example response
{
  "rows": [],
  "nextCursor": null
}
401Missing or invalid credentials.
FieldTypeDescription
errorrequiredobject
code (in error)requiredstring

Stable machine-readable code, e.g. VALIDATION_FAILED.

message (in error)requiredstring

Human-readable explanation.

requestId (in error)requiredstring

Quote this to support; also in the x-request-id header and the request log.

issues (in error)array<object>

Present for VALIDATION_FAILED: one entry per problem.

path (in error.issues)string
Example: passengers.0.lastName
code (in error.issues)string
message (in error.issues)string
Response (generated from schema)
{
  "error": {
    "code": "string",
    "message": "string",
    "requestId": "5b0c9a7e-2d1f-4e3a-9b8c-7d6e5f4a3b2c",
    "issues": [
      {
        "path": "passengers.0.lastName",
        "code": "string",
        "message": "string"
      }
    ]
  }
}
500Unexpected error on our side; quote the requestId.
FieldTypeDescription
errorrequiredobject
code (in error)requiredstring

Stable machine-readable code, e.g. VALIDATION_FAILED.

message (in error)requiredstring

Human-readable explanation.

requestId (in error)requiredstring

Quote this to support; also in the x-request-id header and the request log.

issues (in error)array<object>

Present for VALIDATION_FAILED: one entry per problem.

path (in error.issues)string
Example: passengers.0.lastName
code (in error.issues)string
message (in error.issues)string
Response (generated from schema)
{
  "error": {
    "code": "string",
    "message": "string",
    "requestId": "5b0c9a7e-2d1f-4e3a-9b8c-7d6e5f4a3b2c",
    "issues": [
      {
        "path": "passengers.0.lastName",
        "code": "string",
        "message": "string"
      }
    ]
  }
}
API version v0.0.1 · Spec generated from source on 2026-11-22Changelog · Prices in so‘m (UZS)